#ifndef MARS_MHHillasSrc
#define MARS_MHHillasSrc

#ifndef MARS_MH
#include "MH.h"
#endif

class TH1F;
class MHillas;

class MHHillasSrc : public MH
{
private:
    TH1F *fAlpha;
    TH1F *fDist;

public:
     MHHillasSrc(const char *name=NULL, const char *title=NULL);
    ~MHHillasSrc();

    void Fill(const MParContainer *par);

    TH1F *GetHistAlpha()  { return fAlpha; }
    TH1F *GetHistDist()   { return fDist; }

    void Draw(Option_t *opt=NULL);
    TObject *DrawClone(Option_t *opt=NULL) const;

    ClassDef(MHHillasSrc, 1) // Container which hilds hostograms for the Hillas parameters
};

#endif
